×

Discussion Board

Results 1 to 9 of 9
  1. #1
    Registered User
    Join Date
    Nov 2009
    Posts
    10

    Angry Help with installing Qt with PIPS in Symbian.

    Hi,

    Could you help me with my device for Qt library?
    My email is songwei1984@gmail.com
    For debugging my Qt program in Qt creator with my device,
    I downloaded the app trk from http://tools.ext.nokia.com/trk/Test/...trk_3_2_6.sisx,
    and I installed and opened it,
    and my device restarted automaticlly, but it could't login the main screen.
    So I formated my device by hard reset.

    But after that, I can't install my Qt program, the system shows that "missing Qt".
    If I install the Qt by this steps:
    (1) stdcpp_s60_1_5_5b.sis (OK)
    (2) openc_ssl_s60_1_5_5b.sis (OK)
    (3) pips_s60_1_5_5b.sis (Error, update error)
    (4) qt.sis (If skip step 3, show "missing pips", error)

    Could you help me how to fix it?
    Thanks a lot!

  2. #2
    Super Contributor
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,553

    Re: Help with installing Qt with PIPS in Symbian.

    Shouldn't you be using the qt_installer.sis file, instead (it installs all you need).

  3. #3
    Registered User
    Join Date
    Nov 2009
    Posts
    10

    Re: Help with installing Qt with PIPS in Symbian.

    Quote Originally Posted by petrib View Post
    Shouldn't you be using the qt_installer.sis file, instead (it installs all you need).
    I tried to install Qt 4.6.3 by qt_installer.sis in Qt 4.6.3 package, but the qt_installer.sis got the error "error -10256” when install the PIPS.

    Thanks.

  4. #4
    Super Contributor
    Join Date
    Nov 2009
    Location
    Minnesota, USA
    Posts
    3,209

    Re: Help with installing Qt with PIPS in Symbian.

    What is your device?

  5. #5
    Registered User
    Join Date
    Nov 2009
    Posts
    10

    Re: Help with installing Qt with PIPS in Symbian.

    Quote Originally Posted by danhicksbyron View Post
    What is your device?
    Sorry, I can't tell you about that because of some confidential reason.
    I think the device had been installed PIPS component and Qt, but after I finished hard reset and format,
    the Qt and PIPS missed.
    But there are some existed PIPS files not deleted clearly, even though I can't find it in Application Manager.
    So when I install the PIPS and it appears "Update Error" , but when I install Qt and it appears "Missing PIPS component ", even though qt_installer.sis install automatically.

    But who can tell me how to fix that problem?

    Thanks a lot!

  6. #6
    Super Contributor
    Join Date
    Nov 2009
    Location
    Minnesota, USA
    Posts
    3,209

    Re: Help with installing Qt with PIPS in Symbian.

    Can you tell us if this is an old device or new? S60 3rd or 5th or Symbian^3?

    Since this is an install problem essentially unrelated to Qt, you might want to ask in one of the Symbian forums.

  7. #7
    Registered User
    Join Date
    Nov 2009
    Posts
    10

    Re: Help with installing Qt with PIPS in Symbian.

    Quote Originally Posted by danhicksbyron View Post
    Can you tell us if this is an old device or new? S60 3rd or 5th or Symbian^3?

    Since this is an install problem essentially unrelated to Qt, you might want to ask in one of the Symbian forums.
    Yes, I think it's about Symbian install PIPS problem, but I don't how to fix it!
    It's a new device.

  8. #8
    Registered User
    Join Date
    Nov 2009
    Posts
    10

    Re: Help with installing Qt with PIPS in Symbian.

    I follow the thread http://discussion.forum.nokia.com/fo...nstalling-pips,
    but also didn't work.
    It also show "Update Error".

  9. #9
    Registered User
    Join Date
    Dec 2006
    Posts
    34

    Re: Help with installing Qt with PIPS in Symbian.

    Hey,

    'Update error' comes when ever an app installation tries to over write a file not belonging to it or if there is an UID conflict. Something like a user visible package name (not the sis name) defined in the .pkg file is same as the one already installed but having a different UID.

    You should probably recover the phone's image/sw and then try to install... or install the same PIP version that the phone came with.

    -Jagadish D

Similar Threads

  1. Pips not installing on N78
    By jaakko.tuosa in forum Open C/C++
    Replies: 16
    Last Post: 2011-03-04, 11:53
  2. Update Error installing pips
    By kedarm in forum Open C/C++
    Replies: 4
    Last Post: 2009-10-14, 11:11
  3. Installing OpenC (PIPS) on Samsung SGH-i560
    By RedFalcon83 in forum Open C/C++
    Replies: 1
    Last Post: 2008-11-03, 13:39

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×